function SaveOD(handles )
%SAVEOD 

% Ellipse information
a_parameter = fitellip(handles.results(handles.imageID).ODborders);
v = solveellipse(a_parameter); %[r1 r2 cx cy theta]
centerOD=[v(3),v(4)];
radius= (v(1)+v(2))/2;
        
        
% Residual of ellipse is calculated
ResSum=0;
for i=1:length(handles.results(handles.imageID).ODborders)
x=handles.results(handles.imageID).ODborders(i,1);
y=handles.results(handles.imageID).ODborders(i,2);    
residual=a_parameter(1)*x*x + a_parameter(2)*x*y + a_parameter(3)*y*y + a_parameter(4)*x + a_parameter(5)*y + a_parameter(6);
ResSum=ResSum+residual;
end

% Updates handles
handles.results(handles.imageID).Residual=ResSum;
handles.results(handles.imageID).centerOD=centerOD;
handles.results(handles.imageID).radius=radius;
handles.results(handles.imageID).parameters=a_parameter;

guidata(handles.output,handles)

