function handles = ODannotation (handles,point)
%ODANNOTATION  


% Collect point
if isempty(point)
    handles.results(handles.imageID).ODborders(end,:)=[];
else 
    handles.results(handles.imageID).ODborders=[handles.results(handles.imageID).ODborders;point];
end

% Plot the image if no point selected
if isempty(handles.results(handles.imageID).ODborders)
    showImage (handles );hold off;
    
    
elseif ~isempty(handles.results(handles.imageID).ODborders)
    showImage (handles );
    functionCall = @(hObject,eventdata)Annotation('mainFigure_ButtonDownFcn',hObject,eventdata,guidata(hObject));
    p=plot(handles.results(handles.imageID).ODborders(1,1),handles.results(handles.imageID).ODborders(1,2),'b*');
    set(p,'ButtonDownFcn', functionCall );
    Oriradius=0;
    %circle([handles.results(handles.imageID).ODborders(1,1),handles.results(handles.imageID).ODborders(1,2)],Oriradius,100)
    
    
    
%     % Plot center point for the first chosen point
% elseif size(handles.results(handles.imageID).ODborders,1)==1 && ~isempty(handles.results(handles.imageID).ODborders)
%     showImage (handles );
%     functionCall = @(hObject,eventdata)Annotation('mainFigure_ButtonDownFcn',hObject,eventdata,guidata(hObject));
%     p=plot(handles.results(handles.imageID).ODborders(1,1),handles.results(handles.imageID).ODborders(1,2),'r*');
%     set(p,'ButtonDownFcn', functionCall );
%     hold off;
%     
%     
%     % Plot center and first border point
% elseif size(handles.results(handles.imageID).ODborders,1)==2 && ~isempty(handles.results(handles.imageID).ODborders)
%     showImage (handles );
%     functionCall = @(hObject,eventdata)Annotation('mainFigure_ButtonDownFcn',hObject,eventdata,guidata(hObject));
%     p=plot(handles.results(handles.imageID).ODborders(1,1),handles.results(handles.imageID).ODborders(1,2),'r*');
%     set(p,'ButtonDownFcn', functionCall );
%     p=plot(handles.results(handles.imageID).ODborders(2,1),handles.results(handles.imageID).ODborders(2,2),'b*');
%     set(p,'ButtonDownFcn', functionCall );
%     hold off;
%     
% elseif size(handles.results(handles.imageID).ODborders,1)>2 && ~isempty(handles.results(handles.imageID).ODborders)
%     showImage (handles );
%     functionCall = @(hObject,eventdata)Annotation('mainFigure_ButtonDownFcn',hObject,eventdata,guidata(hObject));
%     p=plot(handles.results(handles.imageID).ODborders(1,1),handles.results(handles.imageID).ODborders(1,2),'r*');
%     set(p,'ButtonDownFcn', functionCall );
%     p=plot(handles.results(handles.imageID).ODborders(2:3,1),handles.results(handles.imageID).ODborders(2:3,2),'b*');
%     set(p,'ButtonDownFcn', functionCall );
%     Oriradius=sqrt((handles.results(handles.imageID).ODborders(2,1)-handles.results(handles.imageID).ODborders(3,1))^2 + ...
%         (handles.results(handles.imageID).ODborders(2,2)-handles.results(handles.imageID).ODborders(3,2))^2)/2;
%     circle([handles.results(handles.imageID).ODborders(1,1),handles.results(handles.imageID).ODborders(1,2)],Oriradius,100)
   
    
   
    % Updates handles
    handles.results(handles.imageID).centerOD=[handles.results(handles.imageID).ODborders(1,1),handles.results(handles.imageID).ODborders(1,2)];
    handles.results(handles.imageID).radius=Oriradius;
           
end

 
guidata(handles.output,handles)


        

